mixed-port: 7890
allow-lan: false
mode: rule
log-level: info

proxies:
  - name: HY2-Primary
    type: hysteria2
    server: hy2.zoly.cc
    port: 8444
    password: .ZLY.hy2
    up: "20 Mbps"
    down: "200 Mbps"
    sni: hy2.zoly.cc
    skip-cert-verify: false
    alpn:
      - h3

  - name: VLESS-REALITY-Fallback
    type: vless
    server: 107.174.64.191
    port: 8443
    uuid: dc4c69e0-e950-47a4-bdbc-4b7ed0107fa8
    flow: xtls-rprx-vision
    tls: true
    udp: true
    network: tcp
    servername: blog.zoly.cc
    client-fingerprint: chrome
    reality-opts:
      public-key: TxzLhjQ2Gtzcg8PJLVVhbuLBx8MU-v5rK2iwIJITNhE
      short-id: a1b2c3d4

proxy-groups:
  - name: PROXY
    type: select
    proxies:
      - HY2-Primary
      - VLESS-REALITY-Fallback
      - DIRECT

  - name: AUTO
    type: url-test
    url: https://www.gstatic.com/generate_204
    interval: 300
    tolerance: 50
    proxies:
      - HY2-Primary
      - VLESS-REALITY-Fallback

rules:
  - MATCH,PROXY
